
LABINVENT (InventIrap) - Evolution #4991
Actions # 4971 (Nouveau): ******* FEATURE - MATERIELS *******
MATERIEL - Gestionnaire de référence (CREATE, UPDATE + VALIDATION)
05/09/2017 12:49 pm - Etienne Pallier

Status: Fermé Start date: 05/09/2017
Priority: Immédiat Due date:
Assignee: Thibaud Ajas % Done: 100%
Category: Estimated time: 0.00 hour
Target version: version 2.6.x Spent time: 0.00 hour
Description

Nouveau champ "gestionnaire de référence" : factulatif, mis à jour automatiquement par le soft (suite à une action)

Si acteur = admin => mettre à jour ce champ (= acteur)

C'est l'ID qu'on stocke, pas le nom (mais on affiche le nom)

Dès la création de la fiche, l'utilisateur peut désigner un gestionnaire de référence pour sa fiche (parmi une liste générée à partir de la
liste de profils "admin")

C'est ce gestionnaire de référence qui recevra un email l'informant de la création de la fiche (et de toute autre action future sur cette
fiche)

Cependant, n'importe quel "admin" doit pouvoir modifier cette fiche. Dans ce cas, c'est le dernier "admin" ayant modifié OU VALIDÉ
(add/edit/validate) la fiche qui sera le nouveau gestionnaire de référence.

Attention, on ne change rien sur une action TOBEARCHIVED ou ARCHIVE.

Related issues:
Copied to Evolution # 5026: MATERIEL - liens "voir les materiels" Fermé 05/09/2017
Copied to Evolution # 5038: MATERIEL - Imprimer une fiche matériel PROPRE Fermé 05/09/2017

History
#1 - 05/09/2017 12:50 pm - Etienne Pallier
- Priority changed from Haut to Immédiat

#2 - 05/10/2017 12:15 pm - Thibaud Ajas
- Status changed from Nouveau to En cours

#3 - 05/12/2017 10:25 am - Thibaud Ajas
- % Done changed from 0 to 90

#4 - 05/17/2017 09:34 am - Etienne Pallier
- Subject changed from MATERIEL - Gestionnaire de référence (obligatoire) to MATERIEL - Gestionnaire de référence (obligatoire) (CREATE, 
UPDATE + VALIDATION)
- Description updated
- % Done changed from 90 to 80

#5 - 05/17/2017 04:32 pm - Thibaud Ajas
- Status changed from En cours to Fermé
- % Done changed from 80 to 100

05/15/2024 1/2



Lorsque le matériel est validé par un administratif autre que celui désigné, c'est celui qui a validé le matériel qui en devient le gestionnaire. TOUT LE
TEMPS.

#6 - 05/19/2017 04:07 pm - Etienne Pallier
- Subject changed from MATERIEL - Gestionnaire de référence (obligatoire) (CREATE, UPDATE + VALIDATION) to MATERIEL - Gestionnaire de 
référence (CREATE, UPDATE + VALIDATION)
- Description updated
- % Done changed from 100 to 70

#7 - 05/19/2017 04:15 pm - Etienne Pallier
- Description updated

#8 - 05/19/2017 04:20 pm - Etienne Pallier
- Status changed from Fermé to En cours

#9 - 05/22/2017 10:54 am - Thibaud Ajas
- Status changed from En cours to Fermé
- % Done changed from 70 to 100

#10 - 06/07/2017 04:52 pm - Etienne Pallier
- Status changed from Fermé to En cours
- % Done changed from 100 to 50

#11 - 06/09/2017 06:30 pm - Thibaud Ajas
- Status changed from En cours to Fermé
- % Done changed from 50 to 100

05/15/2024 2/2


